Skip to content

External Contacts

All operations require authentication.

5 operationsv1/email/mxplan
Agent setup

List external contactsProduction

GET
/1.0/email/mxplan/{service}/externalContact

List external contacts. Returns the email addresses of the external contacts of the service. Filter them by externalEmailAddress, firstName, lastName, displayName or id.

Path parameters

service
required
string

The internal name of your mxplan organization

Query parameters

displayName
string

Filter the value of displayName property (like)

externalEmailAddress
string

Filter the value of externalEmailAddress property (like)

firstName
string

Filter the value of firstName property (like)

id
integer

Filter the value of id property (like)

lastName
string

Filter the value of lastName property (like)

Response

200string[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/externalContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an external contactProduction

GET
/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress}

Get an external contact. Returns the email address, names, state and Global Address List visibility of the external contact.

Path parameters

externalEmailAddress
required
string

Contact email

service
required
string

The internal name of your mxplan organization

Response

200ExternalContactsuccessful operation
creationDate
read-only
stringdate-time

Creation date

displayName
string

Contact display name

externalEmailAddress
string

Contact email

firstName
string

Contact first name

hiddenFromGAL
boolean

Hide the contact in Global Address List

id
read-only
integer

Contact id

initials
string

Contact initals

lastName
string

Contact last name

state
read-only
ObjectStateEnum

Contact state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Task pending id

Example uses externalEmailAddress = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "externalEmailAddress": "string", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initials": "string", "lastName": "string", "state": "creating", "taskPendingId": 0}

Create an external contactProduction

POST
/1.0/email/mxplan/{service}/externalContact

Create an external contact. Creates a contact with an external email address in the service, and returns the task. Set hiddenFromGAL to true to hide it from the Global Address List.

Path parameters

service
required
string

The internal name of your mxplan organization

Request body (required)

displayName
string

Contact display name

externalEmailAddress
required
string

Contact email address

firstName
string

Contact first name

hiddenFromGAL
boolean

Hide the contact in Global Address List

initials
string

Contact initials

lastName
string

Contact last name

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/externalContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete an external contactProduction

DELETE
/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress}

Delete an external contact. Removes the external contact from the address book of the MX Plan service and returns the task.

Path parameters

externalEmailAddress
required
string

Contact email

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses externalEmailAddress = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update an external contactProduction

PUT
/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress}

Update an external contact. Updates the email address, names, initials and Global Address List visibility of the external contact.

Path parameters

externalEmailAddress
required
string

Contact email

service
required
string

The internal name of your mxplan organization

Request body (required)

creationDate
read-only
stringdate-time

Creation date

displayName
string

Contact display name

externalEmailAddress
string

Contact email

firstName
string

Contact first name

hiddenFromGAL
boolean

Hide the contact in Global Address List

id
read-only
integer

Contact id

initials
string

Contact initals

lastName
string

Contact last name

state
read-only
ObjectStateEnum

Contact state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Task pending id

Response

200—successful operation

Example uses externalEmailAddress = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/externalContact/{externalEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"